# -*- coding: utf-8 -*-

[account-manager]
force_passwd_change = true
htpasswd_file = <%= node['subversion']['auth_user_file'] %>
password_store = HtPasswdStore
register_check =

[attachment]
max_size = 262144
max_zip_size = 2097152
render_unsafe_content = disabled

[browser]
color_scale = enabled
downloadable_paths = /trunk,/branches/*,/tags/*
hide_properties = svk:merge
intermediate_color = 
intermediate_point = 
newest_color = (255, 136, 136)
oldest_color = (136, 136, 255)
oneliner_properties = trac:summary
render_unsafe_content = disabled
wiki_properties = trac:description

[changeset]
max_diff_bytes = 10000000
max_diff_files = 0
wiki_format_messages = enabled

[components]
acct_mgr.admin.* = enabled
acct_mgr.api.* = enabled
acct_mgr.db.sessionstore = enabled
acct_mgr.htfile.htdigeststore = disabled
acct_mgr.htfile.htpasswdstore = enabled
acct_mgr.http.httpauthstore = disabled
acct_mgr.notification.* = enabled
acct_mgr.pwhash.htdigesthashmethod = enabled
acct_mgr.pwhash.htpasswdhashmethod = enabled
# To resolve IPasswordHashMethod ConfigurationError, below method added. Above 2 calls enabled
acct_mgr.pwhash.pwdhash.* = enabled
acct_mgr.svnserve.* = enabled
acct_mgr.svnserve.svnservepasswordstore = disabled
acct_mgr.web_ui.* = enabled
trac.web.auth.loginmodule = disabled
<% if ::File.directory?(node['agilo']['home']) %>
agilo.* = enabled
<% end %>
<% if ::File.directory?(node['jenkins']['master']['home']) && node['trac']['plugins'].include?('tracjenkinsplugin') %>
hudsontrac.* = enabled
<% end %>
<% if node['trac']['plugins'].include? 'tracwysiwygplugin' %>
tracwysiwyg.* = enabled
<% end %>
<% if node['trac']['plugins'].include? 'tracsvnpoliciesplugin' %>
svnpolicies.* = enabled
<% end %>
<% if node['trac']['plugins'].include? 'svnauthzadminplugin' %>
svnauthz.* = enabled
<% end %>
<% if node['trac']['plugins'].include? 'navaddplugin' %>
navadd.* = enabled
<% end %>
<% if node['trac']['plugins'].include? 'iniadminplugin' %>
iniadmin.iniadmin.iniadminplugin = enabled
<% end %>
<% if node['trac']['plugins'].include? 'breadcrumbsnavplugin' %>
breadcrumbsnavplugin.* = enabled
<% end %>
<% if node['trac']['plugins'].include? 'tocmacro' %>
tractoc.* = enabled
<% end %>
<% if node['trac']['plugins'].include? 'batchmodifyplugin' %>
batchmod.* = enabled
<% end %>
<% if node['trac']['plugins'].include? 'ticketimportplugin' %>
talm_importer.* = enabled
<% end %>
<% if node['trac']['plugins'].include? 'externallinksnewwindowplugin' %>
tracextlinksnewwindow.* = enabled
<% end %>
subversionlocation.* = enabled
tracgenericclass.* = enabled
tracgenericworkflow.* = enabled
testmanager.* = enabled
tracopt.versioncontrol.svn.* = enabled

[header_logo]
alt = SecureCI
height = 68
link = /trac
src = site/images/secureci.png
width = 148

[inherit]
htdocs_dir = 
plugins_dir = 
templates_dir = 

[logging]
log_file = trac.log
log_format = 
log_level = DEBUG
log_type = none

[mainnav]
admin.order = 8.0
browser.order = 4.0
newticket.order = 6.0
roadmap.order = 3.0
search.order = 7.0
tickets.order = 5.0
timeline.order = 2.0
wiki.order = 1.0

[metanav]
about.order = 5.0
help.order = 4.0
login.order = 1.0
logout.order = 2.0
prefs.order = 3.0

[milestone]
default_group_by = component
default_retarget_to = 
stats_provider = DefaultTicketGroupStatsProvider

[mimeviewer]
max_preview_size = 262144
mime_map = text/x-dylan:dylan,text/x-idl:ice,text/x-ada:ads:adb
mime_map_patterns = text/plain:README(?!\.rst)|INSTALL(?!\.rst)|COPYING.*
tab_width = 8
treat_as_binary = application/octet-stream,application/pdf,application/postscript,application/msword,application/rtf

[navadd]
add_items = <% if ::File.directory?(node['gitblit']['home']) %>gitblit,<% end %><% if ::File.directory?(node['jenkins']['master']['home']) %>jenkins,<% end %><% if ::File.directory?(node['sonar']['home']) %>sonar,<% end %><% if ::File.directory?(node['nexus']['home']) %>nexus<% end %>
<% if ::File.directory?(node['gitblit']['home']) %>
gitblit.target = mainnav
gitblit.title = GitBlit
gitblit.url = /gitblit/
<% end %>
<% if ::File.directory?(node['jenkins']['master']['home']) %>
jenkins.target = mainnav
jenkins.title = Jenkins
jenkins.url = /jenkins/
<% end %>
<% if ::File.directory?(node['sonar']['home']) %>
sonar.target = mainnav
sonar.title = Sonar
sonar.url = /sonar/
<% end %>
<% if ::File.directory?(node['nexus']['home']) %>
nexus.target = mainnav
nexus.title = Nexus
nexus.url = /nexus/
<% end %>

[notification]
admit_domains = 
ambiguous_char_width = single
batch_subject_template = $prefix Batch modify: $tickets_descr
email_address_resolvers = SessionEmailResolver
email_sender = SmtpEmailSender
ignore_domains = 
message_id_hash = md5
mime_encoding = none
sendmail_path = sendmail
smtp_always_bcc = 
smtp_always_cc = 
smtp_default_domain = 
smtp_enabled = disabled
smtp_from = trac@<%= node['secureci']['hostname'] %>
smtp_from_author = disabled
smtp_from_name = 
smtp_password = 
smtp_port = 25
smtp_replyto = trac@<%= node['secureci']['hostname'] %>
smtp_server = localhost
smtp_subject_prefix = __default__
smtp_user = 
ticket_subject_template = $prefix #$ticket.id: $summary
use_public_cc = disabled
use_short_addr = disabled
use_tls = disabled

[notification-subscriber]
always_notify_cc = CarbonCopySubscriber
always_notify_previous_updater = TicketPreviousUpdatersSubscriber
always_notify_updater = TicketUpdaterSubscriber

[project]
admin = 
admin_trac_url = .
descr = <%= node['trac']['project']['description'] %>
footer = Visit the Trac open source project at<br /><a href="http://trac.edgewall.org/">http://trac.edgewall.org/</a>
icon = site/images/favicon.ico
name = <%= node['trac']['project']['title'] %>
url = 

[query]
default_anonymous_query = status!=closed&cc~=$USER
default_query = status!=closed&owner=$USER
items_per_page = 100
ticketlink_query = ?status=!closed

[report]
items_per_page = 100
items_per_page_rss = 0

[repositories]
.dir = <%= node['subversion']['repo_dir'] %>/<%= node['subversion']['repo_name'] %>
.type = svn

[revisionlog]
default_log_limit = 100
graph_colors = #cc0,#0c0,#0cc,#00c,#c0c,#c00

[roadmap]
stats_provider = DefaultTicketGroupStatsProvider

[search]
default_disabled_filters = 
min_query_length = 3

[sqlite]
extensions = 

[svn]
authz_file = <%= node['subversion']['auth_access_file'] %>
authz_module_name = 

[svnauthzadmin]
show_all_repos = true

[ticket]
allowed_empty_fields = milestone,version
default_cc = 
default_component = 
default_description = 
default_keywords = 
default_milestone = 
default_owner = < default >
default_priority = major
default_resolution = fixed
default_severity = 
default_summary = 
default_type = defect
default_version = 
max_comment_size = 262144
max_description_size = 262144
max_summary_size = 262144
preserve_newlines = default
restrict_owner = disabled
workflow = ConfigurableTicketWorkflow

[ticket-workflow]
accept = new,assigned,accepted,reopened -> accepted
accept.operations = set_owner_to_self
accept.permissions = TICKET_MODIFY
create = <none> -> new
create.default = 1
create_and_assign = <none> -> assigned
create_and_assign.label = assign
create_and_assign.operations = may_set_owner
create_and_assign.permissions = TICKET_MODIFY
leave = * -> *
leave.default = 1
leave.operations = leave_status
reassign = new,assigned,accepted,reopened -> assigned
reassign.operations = set_owner
reassign.permissions = TICKET_MODIFY
reopen = closed -> reopened
reopen.operations = del_resolution
reopen.permissions = TICKET_CREATE
resolve = new,assigned,accepted,reopened -> closed
resolve.operations = set_resolution
resolve.permissions = TICKET_MODIFY

[ticket-custom]
size = text
size.format = plain
size.label = Size

[timeline]
abbreviated_messages = enabled
changeset_collapse_events = disabled
changeset_long_messages = disabled
changeset_show_files = 0
default_daysback = 30
max_daysback = 90
newticket_formatter = oneliner
ticket_show_component = disabled
ticket_show_details = disabled

[trac]
auth_cookie_domain = 
auth_cookie_lifetime = 0
auth_cookie_path = 
auto_preview_timeout = 2.0
auto_reload = disabled
backup_dir = db
base_url = 
check_auth_ip = disabled
database = mysql://<%= node['trac']['database']['user'] %>:<%= node['trac']['database']['password'] %>@<%= node['trac']['database']['host'] %>/<%= node['trac']['database']['name'] %>
debug_sql = disabled
default_charset = <%= node['trac']['wiki']['charset'] %>
default_date_format = 
default_dateinfo_format = relative
default_handler = WikiModule
default_language = 
default_timezone = 
genshi_cache_size = 128
htdocs_location = 
ignore_auth_case = disabled
jquery_location = 
jquery_ui_location = 
jquery_ui_theme_location = 
mainnav = wiki,<% if ::File.directory?(node['jenkins']['master']['home']) %>jenkins,<% end %><% if ::File.directory?(node['sonar']['home']) %>sonar,<% end %><% if ::File.directory?(node['nexus']['home']) %>nexus,<% end %><% if ::File.directory?(node['gitblit']['home']) %>gitblit,<% end %>timeline,roadmap,browser,tickets,newticket,search
metanav = login,logout,prefs,help,about
mysqldump_path = mysqldump
never_obfuscate_mailto = disabled
permission_policies = ReadonlyWikiPolicy,DefaultPermissionPolicy,LegacyAttachmentPolicy
permission_store = DefaultPermissionStore
request_filters = 
resizable_textareas = enabled
secure_cookies = disabled
show_email_addresses = disabled
show_full_names = enabled
show_ip_addresses = disabled
timeout = 20
use_base_url_for_redirect = disabled
use_chunked_encoding = disabled
use_xsendfile = disabled
wiki_toolbars = enabled
xsendfile_header = X-Sendfile

[versioncontrol]
allowed_repository_dir_prefixes = 
default_repository_type = svn

[wiki]
default_edit_area_height = 20
ignore_missing_pages = disabled
max_size = 262144
render_unsafe_content = disabled
safe_schemes = cvs,file,ftp,git,irc,http,https,news,sftp,smb,ssh,svn,svn+ssh
split_page_names = disabled
